---
labels: ['react', 'typescript', 'heading']
description: 'base heading'
---

import { Heading } from './heading';

### Overview
Base title component, to be styled by composing components.  
<br />

H1 default heading:
```js live=true
<Heading>H1 Heading</Heading>
```

H2 heading:
```js live=true
<Heading element="h2">H2 Heading</Heading>
```

H3 heading:
```js live=true
<Heading element="h3">H3 Heading</Heading>
```

H4 heading:
```js live=true
<Heading element="h4">H4 Heading</Heading>
```

H5 heading:
```js live=true
<Heading element="h5">H5 Heading</Heading>
```

H6 heading:
```js live=true
<Heading element="h6">H6 Heading</Heading>
```
